
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jQuery.uploadify文件上传组件实例讲解 / 憋错料</title>

    <meta name="description" content="jQuery.uploadify文件上传组件实例讲解 1.jquery.uploadify简介 在ASP.NET中上传的控件有很多,比如.NET自带的FileUpload,以及SWFUpload,Uploadify等等,尤其后面两个控件的用户体验比较好,无刷新,带上传进度等等.在最近的短信平台开发中,使用Uploadify进行文件上传. Uploadify官网地址是:http://www.uploadify.com/ 可满足项目开发需求. 下载地址:http://www.uploadify.com/wp-content/uploads/files/">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">jQuery.uploadify文件上传组件实例讲解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>1、jquery.uploadify简介</strong></p>
<p>在ASP.NET中上传的控件有很多，比如.NET自带的FileUpload，以及SWFUpload，Uploadify等等，尤其后面两个控件的用户体验比较好，无刷新，带上传进度等等。在最近的短信平台开发中，使用Uploadify进行文件上传。</p>
<p>Uploadify官网地址是：<a href="http://www.uploadify.com/" rel="external nofollow noreferrer">http://www.uploadify.com/</a> 可满足项目开发需求。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDkvMjAxNjA5MjMxMzQ4MDc3NS5wbmc=.jpg"></p>
<p>下载地址：<a href="http://www.uploadify.com/wp-content/uploads/files/uploadify.zip" rel="external nofollow noreferrer">http://www.uploadify.com/wp-content/uploads/files/uploadify.zip</a> 版本信息如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDkvMjAxNjA5MjMxMzQ4MDc3Ni5wbmc=.jpg"></p>
<p>解压之后，目录结构如下（不在详细解释）：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDkvMjAxNjA5MjMxMzQ4MDc3Ny5wbmc=.jpg"></p>
<p><strong>2、使用流程</strong></p>
<p>下载的程序是PHP示例，由于项目使用的是asp.net mvc，使用uploadify可分以下步骤：</p>
<p>?（1）加入uploadify js类库（把uploadify相关js类库引用到项目的相关位置，比如放到scripts目录）</p>
<p>?（2）对uploadify二次进行封装，满足项目调用</p>
<p>?（3）编写文件上传处理方法</p>
<p>?（4）页面引用相关类库并编写上传脚本</p>
<p><strong>2.1 对uploadify二次进行封装</strong></p>
<p>针对uploadify调用进行js类库封装，满足项目使用：</p>
<p><a href="http://www.jb51.net/article/93339.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
<p>25</p>
<p>26</p>
<p>27</p>
<p>28</p>
<p>29</p>
<p>30</p>
<p>31</p>
<p>32</p>
<p>33</p>
<p>34</p>
<p>35</p>
<p>36</p>
<p>37</p>
<p>38</p>
<p>39</p>
<p>40</p>
<p>41</p>
<p>42</p>
<p>43</p>
<p>44</p>
<p>45</p>
<p>46</p>
<p>47</p>
<p>48</p>
<p>49</p>
<p>50</p>
<p>51</p>
<p>52</p>
<p>53</p>
<p>54</p>
<p>55</p>
<p>56</p>
<p>57</p>
<p>58</p>
<p>59</p>
<p>60</p>
<p>61</p>
<p>62</p>
<p>63</p>
<p>64</p>
<p>65</p>
<p>66</p>
<p>67</p>
<p>68</p>
<p>69</p>
<p>70</p>
<p>71</p>
<p>72</p>
<p>73</p>
<p>74</p>
<p>75</p>
<p>76
</td>
<td>
<p><code>//转换成key=value&amp;key=value格式</code></p>
<p><code>tx.toParam = </code><code>function</code> <code>(dto) {</code></p>
<p><code>return</code> <code>jQuery.param(dto);</code></p>
<p><code>} </code></p>
<p><code>//设置上传文件</code></p>
<p><code>tx.uploadify = </code><code>function</code> <code>(divId, options, action) {</code></p>
<p><code>if</code> <code>(options == undefined &amp;&amp; action == undefined) {</code></p>
<p><code>$(</code><code>‘#‘</code> <code>+ divId).uploadify(</code><code>"upload"</code><code>);</code></p>
<p><code>return</code><code>;</code></p>
<p><code>}</code></p>
<p><code>if</code> <code>(options == undefined) {</code></p>
<p><code>abp.message.warn(</code><code>"请输入参数配置"</code><code>);</code></p>
<p><code>return</code><code>;</code></p>
<p><code>}</code></p>
<p><code>var</code> <code>fileexts = options.fileexts;</code></p>
<p><code>if</code> <code>(fileexts == undefined || fileexts.length &lt;= 0) {</code></p>
<p><code>abp.message.warn(</code><code>"要选择文件的扩展名不能为空"</code><code>);</code></p>
<p><code>return</code><code>;</code></p>
<p><code>}</code></p>
<p><code>$(</code><code>‘#‘</code> <code>+ divId).uploadify({</code></p>
<p><code>uploader: </code><code>‘/files/upload?r=‘</code> <code>+ Math.random()</code></p>
<p><code>+ </code><code>"&amp;fileexts="</code> <code>+ encodeURIComponent(fileexts)</code></p>
<p><code>+ </code><code>"&amp;"</code> <code>+ (options !== undefined ? tx.toParam(options.params) : </code><code>""</code><code>), </code><code>// 服务器端处理地址</code></p>
<p><code>swf: </code><code>‘/Scripts/uploadify/uploadify.swf‘</code><code>, </code><code>// 上传使用的 Flash</code></p>
<p><code>width: 60, </code><code>// 按钮的宽度</code></p>
<p><code>height: 23, </code><code>// 按钮的高度</code></p>
<p><code>buttonText: </code><code>"选择文件"</code><code>, </code><code>// 按钮上的文字</code></p>
<p><code>buttonCursor: </code><code>‘hand‘</code><code>, </code><code>// 按钮的鼠标图标</code></p>
<p><code>fileObjName: </code><code>‘Filedata‘</code><code>, </code><code>// 上传参数名称</code></p>
<p><code>fileTypeExts: fileexts, </code><code>// 扩展名</code></p>
<p><code>fileTypeDesc: </code><code>"请选择文件"</code><code>, </code><code>// 文件说明</code></p>
<p><code>fileDesc: </code><code>‘不超过200M的‘</code><code>,</code></p>
<p><code>sizeLimit: 204800000, </code><code>//允许上传的文件大小(kb) 此为2M</code></p>
<p><code>auto: </code><code>false</code><code>, </code><code>// 选择之后，自动开始上传</code></p>
<p><code>multi: </code><code>true</code><code>, </code><code>// 是否支持同时上传多个文件</code></p>
<p><code>queueSizeLimit: 1, </code><code>// 允许多文件上传的时候，同时上传文件的个数</code></p>
<p><code>onSelectOnce: </code><code>function</code> <code>(event, data) { </code><code>//在单文件或多文件上传时，选择文件时触发</code></p>
<p><code>//event 事件对象(the event object)</code></p>
<p><code>//data 选择的操作信息</code></p>
<p><code>//data.filesSelected 选择文件操作中选中的文件数量</code></p>
<p><code>},</code></p>
<p><code>onUploadStart: </code><code>function</code> <code>(file) {</code></p>
<p><code>//file:将要上载的文件对象</code></p>
<p><code>ShowBusy();</code></p>
<p><code>},</code></p>
<p><code>onUploadComplete: </code><code>function</code> <code>(file) {</code></p>
<p><code>//file:上传或返回一个错误的文件对象。</code></p>
<p><code>},</code></p>
<p><code>onUploadSuccess: </code><code>function</code> <code>(file, data, response) {</code></p>
<p><code>//file:成功上传的文件对象</code></p>
<p><code>//data:服务器端脚本返回的数据（任何由文件响应的任何东西）</code></p>
<p><code>//response:服务器返回的响应是否真的成功或错误，如果没有响应。如果返回false，这successtimeout期权到期后的反应真是假设。</code></p>
<p><code>if</code> <code>(action !== undefined) {</code></p>
<p><code>action(JSON.parse(data));</code></p>
<p><code>}</code></p>
<p><code>ClearBusy();</code></p>
<p><code>},</code></p>
<p><code>onUploadError: </code><code>function</code> <code>(file, errorCode, errorMsg, errorString) {</code></p>
<p><code>//file:上传的文件对象</code></p>
<p><code>//errorCode:返回的错误代码</code></p>
<p><code>//errorMsg:返回的错误消息</code></p>
<p><code>//errorString:包含错误的所有细节的可读的错误信息</code></p>
<p><code>if</code> <code>(action !== undefined) {</code></p>
<p><code>if</code> <code>(action !== undefined) {</code></p>
<p><code>action({</code></p>
<p><code>result: errorCode,</code></p>
<p><code>message: errorMsg,</code></p>
<p><code>filename: </code><code>""</code><code>,</code></p>
<p><code>fileext: </code><code>""</code></p>
<p><code>});</code></p>
<p><code>}</code></p>
<p><code>}</code></p>
<p><code>ClearBusy();</code></p>
<p><code>}</code></p>
<p><code>});</code></p>
<p><code>}</code></p>
</td>
</tr>
</tbody>
</table>
<p><strong>2.2 文件上传处理</strong></p>
<p>使用MVC特性，要登录之后才能进行文件上传：</p>
<p><a href="http://www.jb51.net/article/93339.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
<p>25</p>
<p>26</p>
<p>27</p>
<p>28</p>
<p>29</p>
<p>30</p>
<p>31</p>
<p>32</p>
<p>33</p>
<p>34</p>
<p>35</p>
<p>36</p>
<p>37</p>
<p>38</p>
<p>39</p>
<p>40</p>
<p>41</p>
<p>42</p>
<p>43</p>
<p>44</p>
<p>45</p>
<p>46</p>
<p>47</p>
<p>48</p>
<p>49</p>
<p>50</p>
<p>51</p>
<p>52</p>
<p>53</p>
<p>54</p>
<p>55</p>
<p>56</p>
<p>57</p>
<p>58</p>
<p>59</p>
<p>60</p>
<p>61</p>
<p>62</p>
<p>63</p>
<p>64</p>
<p>65</p>
<p>66</p>
<p>67</p>
<p>68</p>
<p>69</p>
<p>70</p>
<p>71</p>
<p>72</p>
<p>73</p>
<p>74</p>
<p>75</p>
<p>76</p>
<p>77</p>
<p>78</p>
<p>79</p>
<p>80</p>
<p>81</p>
<p>82</p>
<p>83</p>
<p>84</p>
<p>85</p>
<p>86</p>
<p>87</p>
<p>88</p>
<p>89</p>
<p>90</p>
<p>91</p>
<p>92</p>
<p>93</p>
<p>94</p>
<p>95</p>
<p>96</p>
<p>97</p>
<p>98</p>
<p>99</p>
<p>100</p>
<p>101
</td>
<td>
<p><code>using System;</code></p>
<p><code>using System.IO;</code></p>
<p><code>using System.Security.Principal;</code></p>
<p><code>using System.Web;</code></p>
<p><code>using System.Web.Mvc;</code></p>
<p><code>using System.Web.Security;</code></p>
<p><code>namespace TxSms.Web.Controllers</code></p>
<p><code>{</code></p>
<p><code>/// &lt;summary&gt;</code></p>
<p><code>/// 文件上传管理</code></p>
<p><code>/// &lt;/summary&gt;</code></p>
<p><code>[Authorize]</code></p>
<p><code>public class FilesController : TxSmsControllerBase</code></p>
<p><code>{</code></p>
<p><code>private static string jsonResult = </code><code>"{0}\"result\":{1},\"message\":\"{2}\",\"filename\":\"{3}\",\"fileext\":\"{4}\"{5}"</code><code>;</code></p>
<p><code>/// &lt;summary&gt;</code></p>
<p><code>/// 文件上传页面</code></p>
<p><code>/// &lt;/summary&gt;</code></p>
<p><code>/// &lt;returns&gt;&lt;/returns&gt;</code></p>
<p><code>[Authorize]</code></p>
<p><code>public ActionResult Index()</code></p>
<p><code>{</code></p>
<p><code>return</code> <code>View();</code></p>
<p><code>}</code></p>
<p><code>/// &lt;summary&gt;</code></p>
<p><code>/// 上传文件</code></p>
<p><code>/// &lt;/summary&gt;</code></p>
<p><code>/// &lt;param name="filedata"&gt;&lt;/param&gt;</code></p>
<p><code>/// &lt;returns&gt;&lt;/returns&gt;</code></p>
<p><code>[Authorize]</code></p>
<p><code>public ActionResult Upload(HttpPostedFileBase filedata)</code></p>
<p><code>{</code></p>
<p><code>// 如果没有上传文件</code></p>
<p><code>if</code> <code>(filedata == </code><code>null</code> <code>|| filedata.FileName.IsNullOrEmpty() || filedata.ContentLength == 0)</code></p>
<p><code>{</code></p>
<p><code>return</code> <code>new</code> <code>JsonStringResult(string.Format(jsonResult, </code><code>"{"</code><code>, -1, </code><code>""</code><code>, </code><code>""</code><code>, </code><code>""</code><code>, </code><code>"}"</code><code>));</code></p>
<p><code>}</code></p>
<p><code>string parmPath = Request.QueryString[</code><code>"path"</code><code>];</code></p>
<p><code>string parmGetzipfile = Request.QueryString[</code><code>"getzipfile"</code><code>];</code></p>
<p><code>if</code> <code>(parmGetzipfile.IsNullOrEmpty())</code></p>
<p><code>{</code></p>
<p><code>parmGetzipfile = </code><code>"0"</code><code>;</code></p>
<p><code>}</code></p>
<p><code>// 保存到 ~/uploads 文件夹中，名称不变</code></p>
<p><code>string time = DateTime.Now.ToString(</code><code>"yyyyMMddHHmmssfff"</code><code>);</code></p>
<p><code>string fileext = Path.GetExtension(filedata.FileName);</code></p>
<p><code>string filename = time + fileext;</code></p>
<p><code>string virtualPath = parmPath.IsNullOrEmpty()</code></p>
<p><code>? $</code><code>"~/uploads/"</code></p>
<p><code>: $</code><code>"~/uploads/{parmPath}/"</code><code>;</code></p>
<p><code>string actualPath = Server.MapPath(virtualPath);</code></p>
<p><code>if</code> <code>(!Directory.Exists(actualPath))</code></p>
<p><code>{</code></p>
<p><code>Directory.CreateDirectory(Server.MapPath(virtualPath));</code></p>
<p><code>}</code></p>
<p><code>// 文件系统不能使用虚拟路径</code></p>
<p><code>var</code> <code>destFile = virtualPath + filename;</code></p>
<p><code>string path = Server.MapPath(destFile);</code></p>
<p><code>filedata.SaveAs(path);</code></p>
<p><code>bool iszip = fileext != </code><code>null</code> <code>&amp;&amp; (fileext.Equals(</code><code>".zip"</code><code>, StringComparison.OrdinalIgnoreCase) &amp;&amp; parmGetzipfile.Equals(</code><code>"1"</code><code>));</code></p>
<p><code>if</code> <code>(iszip)</code></p>
<p><code>{</code></p>
<p><code>var</code> <code>virtualPathZip = virtualPath + time + </code><code>"/"</code><code>;</code></p>
<p><code>string actualPathZip = Server.MapPath(virtualPathZip);</code></p>
<p><code>if</code> <code>(!Directory.Exists(actualPathZip))</code></p>
<p><code>{</code></p>
<p><code>Directory.CreateDirectory(actualPathZip);</code></p>
<p><code>}</code></p>
<p><code>destFile = fileext = </code><code>""</code><code>;</code></p>
<p><code>//第一步骤，解压</code></p>
<p><code>TxSmsZipHelper.UnZipFile(path, actualPathZip);</code></p>
<p><code>//第二步骤，获取excel文件，如果没有获取到，则抛出异常</code></p>
<p><code>//获得目录信息</code></p>
<p><code>var</code> <code>dir = </code><code>new</code> <code>DirectoryInfo(actualPathZip);</code></p>
<p><code>//获得目录文件列表</code></p>
<p><code>var</code> <code>files = dir.GetFiles();</code></p>
<p><code>foreach (FileInfo fileName </code><code>in</code> <code>files)</code></p>
<p><code>{</code></p>
<p><code>//var ext = Path.GetExtension(fileName.Name).ToLower();</code></p>
<p><code>//if (ext == ".xls" || ext == ".xlsx")</code></p>
<p><code>//{</code></p>
<p><code>// destFile = Path.Combine(fileName.DirectoryName, fileName.Name);</code></p>
<p><code>// break;</code></p>
<p><code>//}</code></p>
<p><code>destFile = virtualPathZip + fileName.Name;</code></p>
<p><code>fileext = Path.GetExtension(fileName.Name);</code></p>
<p><code>break</code><code>;</code></p>
<p><code>}</code></p>
<p><code>}</code></p>
<p><code>return</code> <code>new</code> <code>JsonStringResult(string.Format(jsonResult, </code><code>"{"</code><code>, 0, </code><code>"上传成功"</code><code>, destFile, fileext.ToLower(), </code><code>"}"</code><code>));</code></p>
<p><code>}</code></p>
<p><code>public class JsonStringResult : ContentResult</code></p>
<p><code>{</code></p>
<p><code>public JsonStringResult(string json)</code></p>
<p><code>{</code></p>
<p><code>Content = json;</code></p>
<p><code>ContentType = </code><code>"application/json"</code><code>;</code></p>
<p><code>}</code></p>
<p><code>}</code></p>
<p><code>}</code></p>
<p><code>}</code></p>
</td>
</tr>
</tbody>
</table>
<p>文件上传路径：/files/upload</p>
<p><strong>2.3 页面调用</strong></p>
<p><a href="http://www.jb51.net/article/93339.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
<p>25</p>
<p>26</p>
<p>27</p>
<p>28</p>
<p>29</p>
<p>30</p>
<p>31</p>
<p>32</p>
<p>33</p>
<p>34</p>
<p>35</p>
<p>36</p>
<p>37</p>
<p>38</p>
<p>39</p>
<p>40</p>
<p>41</p>
<p>42</p>
<p>43</p>
<p>44</p>
<p>45</p>
<p>46
</td>
<td>
<p><code>&lt;!DOCTYPE html&gt;</code></p>
<p><code>&lt;html&gt;</code></p>
<p><code>&lt;head&gt;</code></p>
<p><code>&lt;meta name=</code><code>"viewport"</code> <code>content=</code><code>"width=device-width"</code> <code>/&gt;</code></p>
<p><code>&lt;title&gt;Index&lt;/title&gt;</code></p>
<p><code>&lt;link href=</code><code>"/Content/themes/base/uploadify/uploadify.css"</code> <code>rel=</code><code>"stylesheet"</code><code>/&gt;</code></p>
<p><code>&lt;script src=</code><code>"/Scripts/jquery-2.1.4.min.js"</code><code>&gt;&lt;/script&gt;</code></p>
<p><code>&lt;script src=</code><code>"/Scripts/uploadify/jquery.uploadify.min.js"</code><code>&gt;&lt;/script&gt;</code></p>
<p><code>&lt;script type=</code><code>"text/javascript"</code><code>&gt;</code></p>
<p><code>$(</code><code>function</code> <code>() {</code></p>
<p><code>var</code> <code>ASPSESSID = </code><code>‘3iupfg2udk4m5hyzfj5ydlso‘</code><code>;</code></p>
<p><code>var</code> <code>auth = </code><code>‘‘</code><code>;</code></p>
<p><code>//初始化</code></p>
<p><code>tx.uploadify(</code><code>‘uploadify‘</code></p>
<p><code>,</code></p>
<p><code>{ </code><code>//参数配置</code></p>
<p><code>fileexts: </code><code>"*.jpg;*.png;*.zip"</code><code>, </code><code>//要选择文件的扩展名，多个用;分割</code></p>
<p><code>//formData: { ASPSESSID: ASPSESSID, AUTHID: auth },</code></p>
<p><code>params: { </code><code>//参数</code></p>
<p><code>path: </code><code>‘files‘</code><code>,</code><code>//上传路径，允许为空</code></p>
<p><code>getzipfile: 1 </code><code>//解压zip文件，并获取文件 0：不解压获取，1：解压获取</code></p>
<p><code>}</code></p>
<p><code>}</code></p>
<p><code>, </code><code>function</code> <code>(data) { </code><code>//回调函数</code></p>
<p><code>//data.result：0 表示成功，其他表示错误</code></p>
<p><code>//data.message：信息</code></p>
<p><code>//data.filename：文件名称</code></p>
<p><code>//data.fileext：文件扩展</code></p>
<p><code>console.log(data.result);</code></p>
<p><code>console.log(data.message);</code></p>
<p><code>console.log(data.filename);</code></p>
<p><code>console.log(data.fileext);</code></p>
<p><code>});</code></p>
<p><code>$(</code><code>"#btnUpload"</code><code>).click(</code><code>function</code> <code>() {</code></p>
<p><code>tx.uploadify(</code><code>‘uploadify‘</code><code>); </code><code>//开始上传</code></p>
<p><code>});</code></p>
<p><code>});</code></p>
<p><code>&lt;/script&gt;</code></p>
<p><code>&lt;/head&gt;</code></p>
<p><code>&lt;body&gt;</code></p>
<p><code>&lt;div style=</code><code>"margin: 40px;"</code><code>&gt;</code></p>
<p><code>&lt;div id=</code><code>"uploadify"</code><code>&gt;&lt;/div&gt;</code></p>
<p><code>&lt;button id=</code><code>"btnUpload"</code><code>&gt;开始上传&lt;/button&gt;</code></p>
<p><code>&lt;/div&gt;</code></p>
<p><code>&lt;/body&gt;</code></p>
<p><code>&lt;/html&gt;</code></p>
</td>
</tr>
</tbody>
</table>
<p>允许程序，界面如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDkvMjAxNjA5MjMxMzQ4MDc3OC5wbmc=.jpg"></p>
<p>选择文件—&gt;开始上传：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDkvMjAxNjA5MjMxMzQ4MDc3OS5wbmc=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDkvMjAxNjA5MjMxMzQ4MDc4MC5wbmc=.jpg"></p>
<p>ok，到此已经完成。</p>
<p><strong>3、http 302解决方案</strong></p>
<p>很怀疑二八原则，很快就出现了。同事用firefox进行测试，遇到如下提示：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDkvMjAxNjA5MjMxMzQ4MDc4MS5wbmc=.jpg"></p>
<p>查找大量资料，发下是Upload方法认证的问题，去掉[Authorize]属性标签即可，代码修改如下：</p>
<p><a href="http://www.jb51.net/article/93339.htm#" rel="external nofollow noreferrer">?</a></p>
<table>
<tbody>
<tr>
<td>
<br />1</p>
<p>2</p>
<p>3</p>
<p>4</p>
<p>5</p>
<p>6</p>
<p>7</p>
<p>8</p>
<p>9</p>
<p>10</p>
<p>11</p>
<p>12</p>
<p>13</p>
<p>14</p>
<p>15</p>
<p>16</p>
<p>17</p>
<p>18</p>
<p>19</p>
<p>20</p>
<p>21</p>
<p>22</p>
<p>23</p>
<p>24</p>
<p>25</p>
<p>26</p>
<p>27</p>
<p>28</p>
<p>29</p>
<p>30</p>
<p>31</p>
<p>32</p>
<p>33</p>
<p>34</p>
<p>35</p>
<p>36</p>
<p>37</p>
<p>38</p>
<p>39</p>
<p>40</p>
<p>41</p>
<p>42</p>
<p>43</p>
<p>44</p>
<p>45</p>
<p>46</p>
<p>47</p>
<p>48</p>
<p>49</p>
<p>50</p>
<p>51</p>
<p>52</p>
<p>53</p>
<p>54</p>
<p>55</p>
<p>56</p>
<p>57</p>
<p>58</p>
<p>59</p>
<p>60</p>
<p>61</p>
<p>62</p>
<p>63</p>
<p>64</p>
<p>65</p>
<p>66</p>
<p>67</p>
<p>68</p>
<p>69</p>
<p>70</p>
<p>71</p>
<p>72</p>
<p>73</p>
<p>74</p>
<p>75</p>
<p>76</p>
<p>77</p>
<p>78</p>
<p>79</p>
<p>80</p>
<p>81</p>
<p>82</p>
<p>83</p>
<p>84</p>
<p>85</p>
<p>86</p>
<p>87</p>
<p>88</p>
<p>89</p>
<p>90</p>
<p>91</p>
<p>92</p>
<p>93</p>
<p>94</p>
<p>95</p>
<p>96</p>
<p>97</p>
<p>98</p>
<p>99</p>
<p>100</p>
<p>101</p>
<p>102</p>
<p>103</p>
<p>104
</td>
<td>
<p><code>using System;</code></p>
<p><code>using System.IO;</code></p>
<p><code>using System.Web;</code></p>
<p><code>using System.Web.Mvc;</code></p>
<p><code>namespace TxSms.Web.Controllers</code></p>
<p><code>{</code></p>
<p><code>/// &lt;summary&gt;</code></p>
<p><code>/// 文件上传管理</code></p>
<p><code>/// &lt;/summary&gt;</code></p>
<p><code>//[Authorize]</code></p>
<p><code>public class FilesController : TxSmsControllerBase</code></p>
<p><code>{</code></p>
<p><code>private static string jsonResult = </code><code>"{0}\"result\":{1},\"message\":\"{2}\",\"filename\":\"{3}\",\"fileext\":\"{4}\"{5}"</code><code>;</code></p>
<p><code>/// &lt;summary&gt;</code></p>
<p><code>/// 文件上传页面</code></p>
<p><code>/// &lt;/summary&gt;</code></p>
<p><code>/// &lt;returns&gt;&lt;/returns&gt;</code></p>
<p><code>[Authorize]</code></p>
<p><code>public ActionResult Index()</code></p>
<p><code>{</code></p>
<p><code>return</code> <code>View();</code></p>
<p><code>}</code></p>
<p><code>/// &lt;summary&gt;</code></p>
<p><code>/// 上传文件</code></p>
<p><code>/// &lt;/summary&gt;</code></p>
<p><code>/// &lt;param name="filedata"&gt;&lt;/param&gt;</code></p>
<p><code>/// &lt;returns&gt;&lt;/returns&gt;</code></p>
<p><code>//[Authorize]</code></p>
<p><code>public ActionResult Upload(HttpPostedFileBase filedata)</code></p>
<p><code>{</code></p>
<p><code>//加入认证信息</code></p>
<p><code>if</code> <code>(</code><code>this</code><code>.LoginUser == </code><code>null</code><code>)</code></p>
<p><code>{</code></p>
<p><code>return</code> <code>new</code> <code>JsonStringResult(string.Format(jsonResult, </code><code>"{"</code><code>, -1, </code><code>"抱歉，未登录，不允许上传"</code><code>, </code><code>""</code><code>, </code><code>""</code><code>, </code><code>"}"</code><code>));</code></p>
<p><code>}</code></p>
<p><code>// 如果没有上传文件</code></p>
<p><code>if</code> <code>(filedata == </code><code>null</code> <code>|| filedata.FileName.IsNullOrEmpty() || filedata.ContentLength == 0)</code></p>
<p><code>{</code></p>
<p><code>return</code> <code>new</code> <code>JsonStringResult(string.Format(jsonResult, </code><code>"{"</code><code>, -2, </code><code>"无上传文件"</code><code>, </code><code>""</code><code>, </code><code>""</code><code>, </code><code>"}"</code><code>));</code></p>
<p><code>}</code></p>
<p><code>string parmPath = Request.QueryString[</code><code>"path"</code><code>];</code></p>
<p><code>string parmGetzipfile = Request.QueryString[</code><code>"getzipfile"</code><code>];</code></p>
<p><code>if</code> <code>(parmGetzipfile.IsNullOrEmpty())</code></p>
<p><code>{</code></p>
<p><code>parmGetzipfile = </code><code>"0"</code><code>;</code></p>
<p><code>}</code></p>
<p><code>// 保存到 ~/uploads 文件夹中，名称不变</code></p>
<p><code>string time = DateTime.Now.ToString(</code><code>"yyyyMMddHHmmssfff"</code><code>);</code></p>
<p><code>string fileext = Path.GetExtension(filedata.FileName);</code></p>
<p><code>string filename = time + fileext;</code></p>
<p><code>string virtualPath = parmPath.IsNullOrEmpty()</code></p>
<p><code>? $</code><code>"~/uploads/"</code></p>
<p><code>: $</code><code>"~/uploads/{parmPath}/"</code><code>;</code></p>
<p><code>string actualPath = Server.MapPath(virtualPath);</code></p>
<p><code>if</code> <code>(!Directory.Exists(actualPath))</code></p>
<p><code>{</code></p>
<p><code>Directory.CreateDirectory(Server.MapPath(virtualPath));</code></p>
<p><code>}</code></p>
<p><code>// 文件系统不能使用虚拟路径</code></p>
<p><code>var</code> <code>destFile = virtualPath + filename;</code></p>
<p><code>string path = Server.MapPath(destFile);</code></p>
<p><code>filedata.SaveAs(path);</code></p>
<p><code>bool iszip = fileext != </code><code>null</code> <code>&amp;&amp; (fileext.Equals(</code><code>".zip"</code><code>, StringComparison.OrdinalIgnoreCase) &amp;&amp; parmGetzipfile.Equals(</code><code>"1"</code><code>));</code></p>
<p><code>if</code> <code>(iszip)</code></p>
<p><code>{</code></p>
<p><code>var</code> <code>virtualPathZip = virtualPath + time + </code><code>"/"</code><code>;</code></p>
<p><code>string actualPathZip = Server.MapPath(virtualPathZip);</code></p>
<p><code>if</code> <code>(!Directory.Exists(actualPathZip))</code></p>
<p><code>{</code></p>
<p><code>Directory.CreateDirectory(actualPathZip);</code></p>
<p><code>}</code></p>
<p><code>destFile = fileext = </code><code>""</code><code>;</code></p>
<p><code>//第一步骤，解压</code></p>
<p><code>TxSmsZipHelper.UnZipFile(path, actualPathZip);</code></p>
<p><code>//第二步骤，获取excel文件，如果没有获取到，则抛出异常</code></p>
<p><code>//获得目录信息</code></p>
<p><code>var</code> <code>dir = </code><code>new</code> <code>DirectoryInfo(actualPathZip);</code></p>
<p><code>//获得目录文件列表</code></p>
<p><code>var</code> <code>files = dir.GetFiles();</code></p>
<p><code>foreach (FileInfo fileName </code><code>in</code> <code>files)</code></p>
<p><code>{</code></p>
<p><code>//var ext = Path.GetExtension(fileName.Name).ToLower();</code></p>
<p><code>//if (ext == ".xls" || ext == ".xlsx")</code></p>
<p><code>//{</code></p>
<p><code>// destFile = Path.Combine(fileName.DirectoryName, fileName.Name);</code></p>
<p><code>// break;</code></p>
<p><code>//}</code></p>
<p><code>destFile = virtualPathZip + fileName.Name;</code></p>
<p><code>fileext = Path.GetExtension(fileName.Name);</code></p>
<p><code>break</code><code>;</code></p>
<p><code>}</code></p>
<p><code>}</code></p>
<p><code>return</code> <code>new</code> <code>JsonStringResult(string.Format(jsonResult, </code><code>"{"</code><code>, 0, </code><code>"上传成功"</code><code>, destFile, fileext.ToLower(), </code><code>"}"</code><code>));</code></p>
<p><code>}</code></p>
<p><code>public class JsonStringResult : ContentResult</code></p>
<p><code>{</code></p>
<p><code>public JsonStringResult(string json)</code></p>
<p><code>{</code></p>
<p><code>Content = json;</code></p>
<p><code>ContentType = </code><code>"application/json"</code><code>;</code></p>
<p><code>}</code></p>
<p><code>}</code></p>
<p><code>}</code></p>
<p><code>}</code></p>
</td>
</tr>
</tbody>
</table>
<p>再次用firefox测试如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDkvMjAxNjA5MjMxMzQ4MDc4Mi5wbmc=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZmlsZXMuamI1MS5uZXQvZmlsZV9pbWFnZXMvYXJ0aWNsZS8yMDE2MDkvMjAxNjA5MjMxMzQ4MDc4My5wbmc=.jpg"></p>
<p><strong>4、注意事项</strong></p>
<p>1、封装的js类库适合单文件上传</p>
<p>2、upload里面的登录认证是通过判断当前账号信息是否为null</p>
<p>3、本项目使用的abp框架，有兴趣的可以去了解下：<a href="http://www.aspnetboilerplate.com/" rel="external nofollow noreferrer">http://www.aspnetboilerplate.com/</a></p>
<p>以上所述是小编给大家介绍的jQuery.uploadify文件上传组件实例讲解，希望对大家有所帮助，如果大家有任何疑问请给我留言，小编会及时回复大家的。在此也非常感谢大家对脚本之家网站的支持！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-24 00:54:35 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/text/" title="text">text</a>, <a href="https://www.biecuoliao.com/tag/tor/" title="tor">tor</a>, <a href="https://www.biecuoliao.com/tag/highlight/" title="highlight">highlight</a>, <a href="https://www.biecuoliao.com/tag/comment/" title="comment">comment</a>, <a href="https://www.biecuoliao.com/tag/%e8%bf%9b%e5%ba%a6/" title="进度">进度</a>, <a href="https://www.biecuoliao.com/tag/article/" title="article">article</a>, <a href="https://www.biecuoliao.com/tag/%e8%8e%b7%e5%be%97/" title="获得">获得</a>, <a href="https://www.biecuoliao.com/tag/extension/" title="extension">extension</a>, <a href="https://www.biecuoliao.com/tag/%e5%bc%82%e5%b8%b8/" title="异常">异常</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>jQuery.uploadify文件上传组件实例讲解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGRBbG4.html" rel="bookmark">记录-Jquery uploadify文件上传实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原本做的是from表单的文件上传,后来因需要用ajax异步,so接触到了Jquery uploadify上传 贴上代码,以供参考 需要引入的js文件 &lt;link href=&quot;../res/uploadify/uploadify.css&quot; rel=&quot;stylesheet&quot; type=&quot;text/css&quot; /&gt; &lt;script src=&quot;../res/uploadify/jquery.uploadify.min.js&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0K2mKwM.html" rel="bookmark">详解jQuery uploadify文件上传插件的使用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uploadify这个插件是基于js里面的jquery库写的.结合了ajax和flash,实现了这个多线程上传的功能. 现在最新版为3.2.1. 在线实例 实例中用到的php文件UploaderDemo.php请在页面下方下载 引入文件 &lt;link rel=&quot;stylesheet&quot; type=&quot;text/css&quot; href=&quot;uploadify.css&quot; /&gt; &lt;script type=&quot;text/javascript			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wBnwR0.html" rel="bookmark">jQuery uploadify 文件上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uploadify这个插件是基于js里面的jquery库写的.结合了ajax和flash,实现了这个多线程上传的功能.现在最新版为3.2.1. 在线实例 实例预览 Uploadify 在线实例Demo演示 实例中用到的php文件UploaderDemo.php请在页面下方下载 引入文件 &lt;link rel=&quot;stylesheet&quot; type=&quot;text/css&quot; href=&quot;uploadify.css&quot; /&gt; &lt;script t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzRG22M.html" rel="bookmark">vue大文件上传组件选哪个好&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需求:项目要支持大文件上传功能,经过讨论,初步将文件上传大小控制在500M内,因此自己需要在项目中进行文件上传部分的调整和配置,自己将大小都以501M来进行限制. 第一步: 前端修改 由于项目使用的是BJUI前端框架,并没有使用框架本身的文件上传控件,而使用的基于jQuery的Uploadify文件上传组件,在项目使用的jslib项目中找到了BJUI框架集成jQuery Uploadify的部分,这部分代码封装在bjui-all.js文件中, 在bjui-all.js文件中的全局变量定义中有以下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vge6k4.html" rel="bookmark">VUE大文件上传解决方案实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需求:项目要支持大文件上传功能,经过讨论,初步将文件上传大小控制在500M内,因此自己需要在项目中进行文件上传部分的调整和配置,自己将大小都以501M来进行限制. 第一步: 前端修改 由于项目使用的是BJUI前端框架,并没有使用框架本身的文件上传控件,而使用的基于jQuery的Uploadify文件上传组件,在项目使用的jslib项目中找到了BJUI框架集成jQuery Uploadify的部分,这部分代码封装在bjui-all.js文件中, 在bjui-all.js文件中的全局变量定义中有以下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lwEQXM.html" rel="bookmark">网页大文件上传解决方案实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需求:项目要支持大文件上传功能,经过讨论,初步将文件上传大小控制在500M内,因此自己需要在项目中进行文件上传部分的调整和配置,自己将大小都以501M来进行限制. 第一步: 前端修改 由于项目使用的是BJUI前端框架,并没有使用框架本身的文件上传控件,而使用的基于jQuery的Uploadify文件上传组件,在项目使用的jslib项目中找到了BJUI框架集成jQuery Uploadify的部分,这部分代码封装在bjui-all.js文件中, 在bjui-all.js文件中的全局变量定义中有以下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZDPY8M.html" rel="bookmark">ASP中文件上传组件ASPUpload介绍和使用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[导读]要实现该功能,就要利用一些特制的文件上传组件.文件上传组件网页非常多,这里介绍国际上非常有名的ASPUpload组件 1 下载和安装ASPUpload  要实现该功能,就要利用一些特制的文件上传组件.文件上传组件网页非常多,这里介绍国际上非常有名的ASPUpload组件,它的下载网址是:           http://www.persits.com/aspupload.exe       组件提供者网址是:           http://www.aspupload.com    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyXKVY4.html" rel="bookmark">Struts2 &plus; uploadify  多文件上传完整实例！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先我这里使用的是  Jquery  Uploadify3.2的版本  导入相关的CSS  JS    &lt;link rel=&quot;stylesheet&quot; type=&quot;text/css&quot; href=&quot;&lt;%=basePath%&gt;css/uploadify/uploadify.css&quot;&gt; &lt;script src=&quot;&lt;%=basePath%&gt;js/jquery.min.js&quot;&gt;&lt;/sc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vXRPkM.html" rel="bookmark">HTML5文件上传组件美化jQuery插件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简要教程 jQuery.filer是一款简单的HTML5文件上传组件美化jQuery插件.它能够完成单文件和多文件的上传,支持文件的拖拽,支持不同的文件格式校验,支持缩略图和图标等,是一款非常实用的文件上传插件.它的特点还有: 对文件上传File Input组件进行美化 支持多文件上传 支持校验文件:大小,扩展名等 支持创建文件的缩略图 每种类型的文件可以自定义图标 可以为缩略图,图标和input自定义模板和主题 可以移出已选择的文件 可以从剪切板粘贴图片 所有的图标在一个字体文件中 支持文件拖			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0kdlj3.html" rel="bookmark" class="title">canvas做的图片查看器1</a>
					<div>
						效果图 html结构 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot;&gt; &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dx2A60.html" rel="bookmark" class="title">太多的爱不是爱，而是巨大的伤害</a>
					<div>
						养过两条小金鱼,一红一白,像两朵小花,在水里开. 为这两条小金鱼,我特地买了一只漂亮的鱼缸.还不辞十来里,去城郊的河里,捞得鲜嫩的水草几根,放进鱼缸里. 专买的鱼食,放在随手可取的地方.一有闲暇,我就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVw6l20.html" rel="bookmark" class="title">Android &colon; M 与 N 的权限管理</a>
					<div>
						从 M 开始,permission 分为 Normal permission Runtime permission Normal permission 直接在 manifest 里声明就可以用了. a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEZg90.html" rel="bookmark" class="title">Java多线程&colon;线程同步与关键字synchronized</a>
					<div>
						一.同步的特性1. 不必同步类中所有的方法, 类可以同时拥有同步和非同步方法.2. 如果线程拥有同步和非同步方法, 则非同步方法可以被多个线程自由访问而不受锁的限制. 参见实验1:http://blo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NzpxG4.html" rel="bookmark" class="title">hdoj-1289-A Bug&amp;amp&semi;&num;39&semi;s Life【种类并查集】</a>
					<div>
						A Bug's Life Time Limit: 15000/5000 MS (Java/Others) Memory Limit: 32768/32768 K (Java/Others) Total ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV8wdy3.html" rel="bookmark" class="title">版本控制报告</a>
					<div>
						0.在吹牛之前,先回答这个问题: 如果你的团队来了一个新队员,有一台全新的机器, 你们是否有一个文档,只要设置了相应的权限,她就可以根据文档,从头开始搭建环境,并成功地把最新.最稳定版本的软件编译出来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RGaN73.html" rel="bookmark" class="title">Scala中For表达式的生成器、定义和过滤器</a>
					<div>
						学习了Scala中For表达式的生成器.定义和过滤器 ,应用 for是循环列表,根据用户需要进行过滤. Def main(args:Array[String]){ Val  lauren=Person ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZXXLM.html" rel="bookmark" class="title">Python连接Mysql数据库（Debian）</a>
					<div>
						Python连接Mysql数据库(Debian) 以下是Python 2.*版本的安装方法,MySQL-python暂不支持Python 3.*版本 提前要做的工作: 安装setuptools,在终端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bORWk3.html" rel="bookmark" class="title">三种asp&period;net 抓取网页源代码</a>
					<div>
						/// &lt;summary&gt;方法一:比较推荐         /// 用HttpWebRequest取得网页源码         /// 对于带BOM的网页很有效,不管是什么编码都能正确识别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rkGlw4.html" rel="bookmark" class="title">【spring&plus;springmvc&plus;mybatis】1&period;1系统架构-三层架构</a>
					<div>
						系统架构:整合应用系统程序大的结构 经常提到的系统结构有两种:三层架构与 MVC 这两种结构既有区别,又有联系.但这两种结构的使用,均是为了降低系统模块间的耦合度 三层架构 视图层 View,服务层  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgZRxK4.html" rel="bookmark" class="title">OpenLayers 3 之 添加地图鼠标右键菜单</a>
					<div>
						添加右键菜单,首先我们要监听鼠标右键点击的操作,我们知道鼠标右键事件名是 contextmenu,当鼠标在 html 元素之上,点击鼠标右键,便会触发 contextmenu 事件,在 context ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/382aOgM.html" rel="bookmark" class="title">centos6系列禁用IPV6</a>
					<div>
						按下面步骤可禁止ipv6模块: #chkconfig ip6tables off #vim /etc/modprobe.d/dist.conf 在最后加入,注意格式 alias net-pf-10 o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5DjQ3.html" rel="bookmark" class="title">转载 https协议和http协议的区别</a>
					<div>
						转载原地址: http://aajs800.blog.51cto.com/519255/109555 什么是HTTPS: HTTPS(Secure Hypertext Transfer Protoco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ekl9D4.html" rel="bookmark" class="title">如何构建自动化的前端开发流程</a>
					<div>
						我们先来看下前端开发可能存在的问题: 我们有许多的第三方库的依赖需要管理: 我们有独立的前端测试需要自动运行: 我们还有很多代码需要在发布时进行打包压缩: ?? 所以构建一个自动化的前端开发流程是非常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l1QqW3.html" rel="bookmark" class="title">电梯控制项目设计报告-第十周</a>
					<div>
						电梯控制项目 一.  系统硬件接口定义 整体系统硬件接口分为人机交互显示部分和自动控制部分.其中人机交互显示部分分为电梯口和电梯内两种环境: 电梯口 = 上下行按钮K + 显示灯LED 上行按钮Kup ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41e8Xg4.html" rel="bookmark" class="title">Https设计</a>
					<div>
						HTTPS是安全的文本协议,在传输数据之前握手进行身份认证和确定对称密钥 密钥解密并验证握手信息,握手结束 非对称加密在握手中加密对称密钥,对称加密用于传输的内容,Hash验证数据的完整性					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6lVbM.html" rel="bookmark" class="title">git commit -am 合并操作</a>
					<div>
						二,合并的操作 1, 首先按需修改文件 echo &gt;&gt; lz66303.txt 2, 然后按需提交被修改的文件到HEAD缓存区,并把这个修改记录到分支中 git commit -am&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPX6pvM.html" rel="bookmark" class="title">python小练习---TCP服务器端</a>
					<div>
						针对于上一篇分享python小练习---TCP客户端 http://www.cnblogs.com/zhaijiahui/p/6926197.html我继续按书中内容,向下进行这里需要强调一个事py3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmQpoYM.html" rel="bookmark" class="title">&lbrack;转&rsqb;MAC：删除终端默认前缀的计算机名</a>
					<div>
						MAC:删除终端默认前缀的计算机名 1.打开终端 输入 sudo vi /etc/bashrc,提示输入密码就是计算机的密码. 2.点击i将编辑模式改成insert修改文档,使用#注释PS1='\h: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgmzoB3.html" rel="bookmark" class="title">串口DTU设备常见操作指导</a>
					<div>
						1.恢复设备的的默认配置 在ATI模式下面输入+RESET复位模块参数,RESET!复位单片机初始参数.默认参数为8位数据位/无奇偶校验/1位停止位.波特率9600bps,数据传输速率:9600bps ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
